.workspace-section {
  padding: 40px 20px;
  margin-top: 60px;
}

/* GRID */
.workspace-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 12px; /* slightly tighter = better look */
  margin: 20px 60px;
}

.mentor-top-title {
  font-size: 3.5rem;
  font-weight: 700;
  line-height: 1.15;
  color: #ffffff;
  letter-spacing: -0.02em;
  margin-bottom: 0.75rem;
  text-align: center;
}

.courses-subtitle {
  margin-bottom: 3.5rem;
}

/* IMAGES */
.workspace-gallery img {
  width: 100%;
  aspect-ratio: 1 / 1; /* 🔥 makes it perfectly square */
  object-fit: cover;
  border-radius: 12px;
  transition: 0.3s ease;
  cursor: pointer;
}

/* HOVER EFFECT */
.workspace-gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 25px rgba(0, 255, 174, 0.2);
}

/* RESPONSIVE */
@media (max-width: 1000px) {
  .workspace-gallery {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 600px) {
  .workspace-gallery {
    grid-template-columns: repeat(2, 1fr);
    margin: 20px 10px;
  }
  .mentor-top-title {
    font-size: 2.1rem;
  }

  
  .workspace-gallery img {
    width: 100%;
    aspect-ratio: 1 / 1; /* 🔥 makes it perfectly square */
    object-fit: cover;
    border-radius: 10px;
    transition: 0.3s ease;
    cursor: pointer;
  }
}
